### A free/open-source library for quantitative finance

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes
MCVanillaEngine< MC, RNG, S, Inst > Class Template Reference
Vanilla option engines

Pricing engine for vanilla options using Monte Carlo simulation. More...

`#include <ql/pricingengines/vanilla/mcvanillaengine.hpp>`

Inheritance diagram for MCVanillaEngine< MC, RNG, S, Inst >:
[legend]

List of all members.

## Public Member Functions

void | calculate () const

## Protected Types

typedef McSimulation< MC, RNG, S >::path_generator_type | path_generator_type
typedef McSimulation< MC, RNG, S >::path_pricer_type | path_pricer_type
typedef McSimulation< MC, RNG, S >::stats_type | stats_type
typedef McSimulation< MC, RNG, S >::result_type | result_type

## Protected Member Functions

| MCVanillaEngine (const boost::shared_ptr< StochasticProcess > &, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, bool controlVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
TimeGrid | timeGrid () const
boost::shared_ptr < path_generator_type > | pathGenerator () const
result_type | controlVariateValue () const

## Protected Attributes

boost::shared_ptr < StochasticProcess > | process_
Size | timeSteps_
Size | timeStepsPerYear_
Size | requiredSamples_
Size | maxSamples_
Real | requiredTolerance_
bool | brownianBridge_
BigNatural | seed_

## Detailed Description

### template<template< class > class MC, class RNG, class S = Statistics, class Inst = VanillaOption>
class QuantLib::MCVanillaEngine< MC, RNG, S, Inst >

Pricing engine for vanilla options using Monte Carlo simulation.